跳到主要内容

策略研究执行列表

GET/research/experiments在线调试
GET https://api.shengkezhi.com/open/v1/research/experiments
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/experiments" \
  -H "Authorization: Bearer sk_xxx"

GET /research/experiments — 策略研究执行列表。

需在请求头携带 Authorization: Bearer sk_xxx

响应

响应 dataExperimentList

字段类型必填说明
itemsExperimentListItem[]执行列表项,每项对应一次策略探索执行。
totalinteger执行总数。

调用示例

curl "https://api.shengkezhi.com/open/v1/research/experiments" -H "Authorization: Bearer sk_xxx"
{
"code": 0,
"data": {
"items": [
{
"dataset": "stock",
"description": "基于沪深龙头标的的日线择时",
"elapsed_s": 3.2,
"errors": [],
"failed": 0,
"freq": "日线",
"id": "experiment-20260724-001",
"n_backtests": 2,
"n_strategies": 2,
"pass_rate": 0.5,
"passed": 1,
"problem_code": "FTS_PROBLEM_8C7C30",
"problem_name": "沪深龙头择时",
"problem_type": "TimeSeriesProblem",
"route": "90ec76ba1f23",
"run_at": "2026-06-28T10:00:00",
"scanned": 2,
"skipped": 0,
"status": "completed",
"strategy_count": 2,
"symbols_count": 2
},
{
"dataset": "stock",
"description": "基于沪深龙头标的的日线择时",
"elapsed_s": 3.2,
"errors": [],
"failed": 0,
"freq": "日线",
"id": "experiment-20260723-002",
"n_backtests": 1,
"n_strategies": 1,
"pass_rate": 1.0,
"passed": 1,
"problem_code": "FTS_PROBLEM_8C7C30",
"problem_name": "沪深龙头择时",
"problem_type": "TimeSeriesProblem",
"route": "90ec76ba1f23",
"run_at": "2026-06-27T09:00:00",
"scanned": 1,
"skipped": 0,
"status": "completed",
"strategy_count": 1,
"symbols_count": 2
}
],
"total": 2
},
"msg": "ok"
}